'***************************************************************************************
'
' MikronautsVGA64_Demo
'
' Copyright 2011 William Henning
'
' http://Mikronauts.com
' mikronauts@gmail.com
'
' DESCRIPTION:
'
' SINGLE COG 80 column text mode driver demo with varying number of rows of text
'
'       80x60, 80x48, 80x40, 80x32, 80x30, 80x24, 80x20
'       80x16, 80x15, 80x12, 80x10, 80x8,  80x6,  80x5
'
' ONLY un-comment one of the font files in MikronautsVGA64 !!!!!
'
' NOTES:
'
' I have two other drivers that use these same fonts to provide many more text modes:
'
' - MikronautsVGA64 provides 64 colums; requires the Prop to run at 16*5.00MHz
' - MikronautsSVGA50 provides 50 columns; runs at 16*5.00Mhz
' - MikronautsVGA80 provides 80 columns; runs at 16*6.25Mhz
'
'***************************************************************************************

CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 6_250_000


OBJ

  vga : "MikronautsVGA80" ' for 64 column single cog drivers - requires 5.00Mhz crystal

VAR

  long x, y

PUB start

  ' if running on a C3 with 6.25Mhz crystal, un-comment the two lines below
  'dira[15]~~
  'outa[15]~
  ' end of C3 fix

  vga.start(16)

  vga.cls

  repeat y from 0 to vga#lines - 1
    repeat x from 0 to vga#chars - 1
      vga.put(x,y,(y*vga#chars+x)&255)

  repeat
    repeat 100000
    vga.scroll


